bl_info = {
    "name": "Camera2View",
    "author": "Marko Prpic Zets",
    "version": (1, 3),  # Updated version
    "blender": (4, 4, 3),
    "location": "View3D > Sidebar > Camera2View",
    "description": "Creates a camera from the current view and keyframes it",
    "category": "3D View",
}

import bpy
from . import panel, operators, utils

classes = (
    operators.CAMERA2VIEW_OT_CreateCamera,
    operators.CAMERA2VIEW_OT_KeyframeCamera,
    operators.CAMERA2VIEW_OT_NextCamera,
    operators.CAMERA2VIEW_OT_PrevCamera,
    operators.CAMERA2VIEW_OT_NextKeyframe,
    operators.CAMERA2VIEW_OT_PrevKeyframe,
    operators.CAMERA2VIEW_OT_KeyframeProperty,
    panel.CAMERA2VIEW_PT_Panel,
)

def register():
    for cls in classes:
        bpy.utils.register_class(cls)

def unregister():
    for cls in reversed(classes):
        bpy.utils.unregister_class(cls)

if __name__ == "__main__":
    register()
